#!/bin/bash

# Get the routers hostname
router_name=$(/bin/hostname)

echo
echo "Router $router_name link state"
echo "Brings up or down eth1"
echo '**********************'
echo "Diarmuid O'Briain"                          
echo

if [[ "$router_name" == 'n1' ]]; then
    CARRIER='MTN Limited'
    DFT_IP='10.10.10.6'
elif [[ "$router_name" == 'n4' ]]; then
    CARRIER='Uganda Telecom Limited'
    DFT_IP='10.10.10.14'
else
    echo "This is $router_name and it is not one of the carrier routers"
fi

# Trap no entry on the command line

if [ $# -lt 1 ]; then
    echo "Usage:: link_state.sh <up | down> i.e. link_state.sh up"
    echo
    exit
fi

# Give options to user and execute for each
case $1 in
up)
  echo "Bringing $CARRIER link up"
  /sbin/ip link set dev eth1 up 
  /sbin/ip route add 192.168.6.0/24 via "$DFT_IP" dev eth1
  /sbin/ip route add 192.168.8.0/24 via "$DFT_IP" dev eth1
  exit
  ;;
down)
  echo "Bringing $CARRIER link down"
  /sbin/ip link set dev eth1 down
  exit
  ;;
*)
  echo "Usage:: link_state.sh <up | down> i.e. link_state.sh up"
  echo
  exit
  ;;

esac

# End
